# -----------------------------------------------------------------------
# EBook         sms
# -----------------------------------------------------------------------
# See_also     normal  read  readvalue  sort
# -----------------------------------------------------------------------
# Macro       SMS5num
# -----------------------------------------------------------------------
# Description  SMS5num computes the Five Number Summary for U.S. Cities 
#	and for normal distributed data with chosen number of observation
# -----------------------------------------------------------------------
#  Author: Lucia Jaresova
# -----------------------------------------------------------------------


data(uscrime)
x = sort(uscrime[,"popu 1985"], decreasing = TRUE)

fivenum = function(v=15, x){
v = as.integer(v)
if (v <= 0) warning("Choose at least one observation", call. = FALSE)
if (v > 50) warning("There are max. 50 observation", call. = FALSE)
x1 = x[1:v]
y1 = rnorm(v)
s1 = summary(x1)[-4] 
s2 = summary(y1)[-4]
print(paste("Five number summary of the first",v,"largest observations"))
print(s1)
print(paste("Five number summary of ",v,"standard normal data"))
print(s2)
}


v=15
fivenum(v=v,x)

v=50
fivenum(v=v,x)
