##---------------------------------------------------------------- 
## SMScanfood.R, Autor: Ondrej Sedivy
##----------------------------------------------------------------

data(food)

#canonical correlation analysis:
c = cancor(food[,1:5],food[,6:7])

#canonical correlation variables:
eta1 = as.matrix(food[,1:5])%*%c$xcoef[,1]
phi1 = as.matrix(food[,6:7])%*%c$ycoef[,1]

#plot of the first pair of the cc variables:
plot(phi1~eta1,main="french food data",type="n")
popisky = row.names(food)
text(phi1~eta1,popisky)

#the variance matrix:
print(cov(food))

#the canonical correlation coefficients:
print(c$cor)

