##----------------------------------------------------------------------
## SMSclusbank2
## cluster analysis using squared euclidean distance and single linkage
##----------------------------------------------------------------------

data(bank2)

nahvyber<-sample(1:200, 20, replace = FALSE)
dvacet<-bank2[nahvyber,]

library(MASS)  

vysledek<-prcomp(dvacet)$x[,1:2]	
par(mfrow=c(3,1))	
plot(vysledek,type="n",main="20 Swiss bank notes",xlab="first PC",ylab="second PC") 
text(vysledek, labels = as.character(rownames(dvacet)),col=as.numeric(as.numeric(rownames(dvacet))<=100)+1)
hc <- hclust(dist(dvacet)^2,method="complete")
dend1 <- as.dendrogram(hc)
plot(dend1,main="Dendrogram for 20 bank notes",xlab="Complete linkage")
hc2 <- hclust(dist(dvacet)^2,method="single")
dend2 <- as.dendrogram(hc2)
plot(dend2,main="Dendrogram for 20 bank notes",xlab="Single linkage")


