##----------------------------------------------------------------------
## SMSclusbank3, Autor: Kristyna Sionova
## cluster analysis using L1 distance and Ward algorithm
##----------------------------------------------------------------------

data(bank2)

nahvyber<-sample(1:200, 20, replace = FALSE)
dvacet<-bank2[nahvyber,]

library(MASS)  

vysledek<-prcomp(dvacet)$x[,1:2]	
par(mfrow=c(1,2))	
plot(vysledek,type="n",main="20 Swiss bank notes",xlab="first PC",ylab="second PC") 
text(vysledek, labels = as.character(rownames(dvacet)),col=as.numeric(as.numeric(rownames(dvacet))<=100)+1)
hc <- hclust(dist(dvacet,method="manhattan"),method="ward") # L1 distance and Ward algorithm
dend1 <- as.dendrogram(hc)
plot(dend1,main="Dendrogram for 20 bank notes",xlab="Ward algorithm")


