##-------------------------------------------------------------
## SMScluscomp, Author: Jakub Pecanka
##-------------------------------------------------------------

opar <- par(ask = dev.interactive(orNone = TRUE),cex=.7)

 data(uscomp)
 uscomp$Sales=as.numeric(as.character(uscomp$Sales))
 uscomp$Sales[65]=1601

 xx=as.matrix(uscomp[,c(-7)])
 xxi=substr(as.character(uscomp$Sector),1,3)
 xxxi=row.names(uscomp)
 n=nrow(xx)                            # sample size

 meanxx=apply(xx,2,mean)
 x=t(t(xx)-meanxx)
 minxx=apply(xx,2,min)
 maxxx=apply(xx,2,max)
 varxx=apply(xx,2,var)
 xxp=log(t(t(xx)-minxx+(maxxx-minxx)/200))
 xxp=round(xxp,4)
 sxx=matrix(sqrt(varxx),nrow=78,ncol=6,byrow=TRUE)
 e=eigen(cov(xxp),sym=TRUE)               # eigensystem analysis
 tmp=cbind(e$va,t(e$ve))               # sort by eigenvalues
 
 jsort = function(mat){
    s=sort(mat[,1],decr=TRUE,ind=TRUE)
    return(mat[s$ix,])
 }

 tmp=jsort(tmp)
 e=tmp[,1]
 v=-tmp[,2:7]
 v[c(4,6),]=-v[c(4,6),]
 y=xxp%*%t(v)                          # PCA transformation
 y=y[,1:2]
 y2=y
 tc=matrix(1,nrow=n)
 plabels=xxxi
 plot(y,type="n",xlab="first PC",ylab="second PC",main="US companies")
 text(y,label=plabels)

# second part
 d=dist(xx,method="manhattan")
 t=hclust(d,method="ward")

 label=uscomp$Sector
 label1=sapply(label,substr,1,2)
# show the dendrogram 
 g=plclust(t,main="Dendrogram for US companies, Ward algorithm",labels=label1)

# show the clusters 
 plot(y2, main="Five Clusters for US Companies",xlab="first PC",ylab="second PC",type="n")
 text(matrix(y2[label1=="Co"],ncol=2),labels="Co",col="navy")
 text(matrix(y2[label1=="En"],ncol=2),labels="En",col="blue")
 text(matrix(y2[label1=="Fi"],ncol=2),labels="Fi",col="green")
 text(matrix(y2[label1=="Hi"],ncol=2),labels="Hi",col="red")
 text(matrix(y2[label1=="Ma"],ncol=2),labels="Ma",col="black")
 text(matrix(y2[label1=="Ot"],ncol=2),labels="Ot",col="brown")
 text(matrix(y2[label1=="Re"],ncol=2),labels="Re",col="orange")
 text(matrix(y2[label1=="Tr"],ncol=2),labels="Tr",col="purple")
par(opar)
