#-----------------------------------------------------------------------------
#SMSdenbank
#-----------------------------------------------------------------------------
#Autor: Kristyna Ivankova
#-----------------------------------------------------------------------------

library(stats)
data(bank2)
bank<-bank2[,6] #sixth column (X6)
x1<-bank[1:100] #genuine bank notes
x2<-bank[101:200] #counterfeit bank notes
fh1<-density(x1,kernel="gaussian",bw=0.1885) #kernel density estimation for the diagonal of genuine bank notes
fh2<-density(x2,kernel="gaussian",bw=0.2352) #kernel density estimation for the diagonal of counterfeit bank notes
plot(fh1,xlim=c(137.8,142.2),ylim=c(0.0,0.85),xlab="counterfeit/genuine",ylab="density estimates for diagonals",main="Swiss bank notes")
lines(fh2,lty=2)

