## SMSfactushealth
## factor analysis of the US health data set

data(ushealth)

facthealth=factanal(~acc+card+canc+pul+pneu+diab+liv,factors=3,rotation="varimax",scores="regression",data=ushealth)
print(facthealth)

lab=colnames(ushealth)[3:9]


opar=par(mfrow=c(2,2))
plot(c(-1.1,1.1),c(-1.1,1.1),type="n",main="US health (varimax)",xlab="q1",ylab="q2") 
ucircle<-cbind(cos((0:360)/180*pi),sin((0:360)/180*pi))
points(ucircle,type="l",lty="dotted")
abline(h = 0)
abline(v = 0)
text(facthealth$loadings[,1:2],labels=lab,col="black")

plot(c(-1.1,1.1),c(-1.1,1.1),type="n",main="US health (varimax)",xlab="q3",ylab="q2") 
points(ucircle,type="l",lty="dotted")
abline(h = 0)
abline(v = 0)
text(facthealth$loadings[,c(3,2)],labels=lab,col="black")

plot(c(-1.1,1.1),c(-1.1,1.1),type="n",main="US health (varimax)",xlab="q1",ylab="q3") 
points(ucircle,type="l",lty="dotted")
abline(h = 0)
abline(v = 0)
text(facthealth$loadings[,c(1,3)],labels=lab,col="black")


par(mfrow=c(2,2),ask = dev.interactive(orNone = TRUE))

plot(facthealth$scores[,1:2],type="n",xlab="q1",ylab="q2",main="US health (factor scores)")
points(facthealth$scores[,1:2],cex=0.8,col=1+as.numeric(ushealth$reg),pch=20+as.numeric(ushealth$reg))
text(facthealth$scores[,1:2],row.names(ushealth),cex=0.5,col=1+as.numeric(ushealth$reg),pos=4)
plot(facthealth$scores[,c(3,2)],type="n",xlab="q3",ylab="q2",main="US health (factor scores)")
points(facthealth$scores[,c(3,2)],cex=0.8,col=1+as.numeric(ushealth$reg),pch=20+as.numeric(ushealth$reg))
text(facthealth$scores[,c(3,2)],row.names(ushealth),cex=0.5,col=1+as.numeric(ushealth$reg),pos=4)
plot(facthealth$scores[,c(1,3)],type="n",xlab="q1",ylab="q3",main="US health (factor scores)")
points(facthealth$scores[,c(1,3)],cex=0.8,col=1+as.numeric(ushealth$reg),pch=20+as.numeric(ushealth$reg))
text(facthealth$scores[,c(1,3)],row.names(ushealth),cex=0.5,col=1+as.numeric(ushealth$reg),pos=4)


par(opar)
