## SMSlinregpull
## linear regression for pullover data

data(pullover)
lm.pull=lm(Sales~Price,data=pullover)

opar=par(mfrow=c(1,2))

# plot all data points and the regression line
plot(Sales~Price,data=pullover,main="regression with outliers")
abline(coef(lm.pull),lty=3)

# identify outliers
outlier=(abs(stdres(lm.pull))>2)
points(Sales~Price,data=pullover,subset=outlier,col="red",pch=20)

# re-do the analysis without outliers
lm.pull.2=lm(Sales~Price,data=pullover,subset=!outlier)
abline(coef(lm.pull.2),col="blue")

# boxplot of the original residuals
boxplot(lm.pull$residuals)

par(opar)
