## SMSmdsbank
## multidimensional scaling for swiss bank notes

library(MASS)

data(bank2)
counter=rep(c("G","F"),each=100)

sol=cmdscale(dist(bank2))
corr=cor(cbind(sol,bank2))[3:8,1:2]

opar=par(mfrow=c(1,2))

plot(sol,type="n",xlab="X",ylab="Y",main="Metric MDS")
text(sol,counter,col=rep(1:2,each=100))

plot(c(-1.1,1.1),c(-1.1,1.1),type="n",main="Correlations of MDS/Variables",xlab="X",ylab="Y")
ucircle<-cbind(cos((0:360)/180*pi),sin((0:360)/180*pi))
points(ucircle,type="l",lty="dotted")
abline(h = 0)
abline(v = 0)
text(corr,labels=colnames(bank2),col="black")

par(opar)
