#-----------------------------------------------------------------------------
# SMSnpcathletic
#-----------------------------------------------------------------------------
# Autor: Ondrej Sedivy
#-----------------------------------------------------------------------------

library(MASS)

data(athletic)

mat = as.matrix(athletic)
for (i in 1:8) mat[,i] = (mat[,i]-mean(mat[,i]))/sqrt(var(mat[,i]))

pc = prcomp(mat)
pc1 = mat%*%pc$rotation[,1]
pc2 = mat%*%pc$rotation[,2]
pc3 = mat%*%pc$rotation[,3]

op = par(mfrow = c(2,2),ask = dev.interactive(orNone = TRUE))
popisky = row.names(athletic)
plot(pc2~pc1, main="first vs. second PC", type="n")
text(pc2~pc1,popisky)
plot(pc3~pc2, main="second vs. third PC", type="n")
text(pc3~pc2,popisky)
plot(pc3~pc1, main="first vs. third PC", type="n")
text(pc3~pc1,popisky)
eig = eigen(cov(mat))
plot(eig$values, main = "eigenvalues of S")
par(op)

cov1 = pc$rotation%*%diag(pc$sdev)

par(mfrow = c(1,1),ask = dev.interactive(orNone = TRUE))
#plot.window(xlim=c(-1,1),ylim=c(-1,1))
plot(cov1[,2]~cov1[,1],xlab="first PC", ylab="second PC",xlim=c(-1,1),ylim=c(-1,1),main="Athletic records",type="n")
text(cov1[,2]~cov1[,1],c("100m","200m","400m","800m","1,5km","5km","10km","mara"))
abline(h=0)
abline(v=0)
ucircle = cbind(cos((0:360)/180*pi),sin((0:360)/180*pi));
lines(ucircle, lty = "dashed");


print("eigenvalues")
print(eig$values)
print("1st eigenvector")
print(pc$rotation[,1])
print("2nd eigenvector")
print(pc$rotation[,2])
par(op)
