#-----------------------------------------------------------------------------
# SMSsircars
#-----------------------------------------------------------------------------
# Autor: Alena Babiakova
#-----------------------------------------------------------------------------

library(dr);

data(carc)

m.text = row.names(carc)
n = nrow(carc)
# get rid of the outliers
keep = 1:n;
x = carc[keep,c(2,(5:12))];
type = as.numeric(carc[keep,13]);
y = carc[keep,1];
t = m.text[keep];
n = nrow(x);
# x=log(x-min(x)+(max(x)-min(x))/200)

x = scale(x);

temp = dr(y~x, method="sir", nslices = 10);
print(temp);

f = temp$evectors;
g = temp$evalues;
sg = sum(g);
g = as.vector(g/sg);
psi = cumsum(g);
i = 1:length(g);
ig = cbind(i,g);
p11 = cbind(x %*% f[,1],y);
p12 = cbind(x %*% f[,2],y);
p21 = cbind(x %*% f[,3],y);
p123 = cbind(x %*% f[,1:2], y);

print("eigenvectors");
print(f);
print("eigenvalues and proportions");
print(cbind(g,cumsum(g)));
print(cbind(i,psi));

op <- par(mfrow = c(2,2),ask = dev.interactive(orNone = TRUE));

plot(p11, pch = type+21, col = type+1, main = "First index vs Price", xlab = "index", ylab = "response");
plot(p12, pch = type+21, col = type+1, main = "Second index vs Price", xlab = "index", ylab = "response");
plot(p21, pch = type+21, col = type+1, main = "Third index vs Price", xlab = "index", ylab = "response");
plot(ig, pch = "*", main = "Scree Plot (SIR)", xlab = "K", ylab = " ", ylim = c(0,1.2));
points(cbind(i,psi));

par(mfrow = c(1,1),ask = dev.interactive(orNone = TRUE))
plot(p123, pch = type+21, col = type+1);
par(op);

